'use strict';

var homedir = require('homedir'); // require('os').homedir // added in post-iojs
var leBinPath = homedir() + '/.local/share/letsencrypt/bin/letsencrypt';
var LEP = require('../');

console.log("");
console.log("Let's Encrypt Python client:");
console.log(leBinPath);
console.log("");

LEP.opts(leBinPath, function (err, keys) {
  if (err) {
    console.error(err.stack || err);
    return;
  }

  console.log("");
  console.log('Number of opts:', keys.length);
  //console.log('First 5:');
  console.log("");
  //console.log(keys.sort().slice(0, 5).join("\n"));
  console.log(JSON.stringify(keys, null, '  '));
  console.log("");
}, { debug: true });
